commit:     bd6b4e03bb4c8621ddc4a5330f64c0ed219829ae
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Mon Jun 11 09:14:52 2018 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Mon Jun 11 09:59:45 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bd6b4e03

games-emulation/snes9x: Bump to version 1.56

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 games-emulation/snes9x/Manifest                    |   1 +
 .../snes9x/files/snes9x-1.56-build-system.patch    |  53 ++++++++
 games-emulation/snes9x/snes9x-1.56.ebuild          | 137 +++++++++++++++++++++
 3 files changed, 191 insertions(+)

diff --git a/games-emulation/snes9x/Manifest b/games-emulation/snes9x/Manifest
index 6eda8d9906e..17a4640040d 100644
--- a/games-emulation/snes9x/Manifest
+++ b/games-emulation/snes9x/Manifest
@@ -1,2 +1,3 @@
 DIST snes9x-1.54.1.tar.gz 2186737 BLAKE2B 
b433a167035577ab785901acb65b9df289218fa214f664494e7f0559a1a843c9211f81bfea3add73c64c6f87e974b0964a86fa43433fa1b5c6e20a724d3aa320
 SHA512 
2a8fddc0b9044c0b7e10711b35c06555e280c93ddde3c101c4084f859079947acb209f2632ca08937fa2ca47932094040c4a7a60b6188354fd92f72dbdf854ed
 DIST snes9x-1.55.tar.gz 2252841 BLAKE2B 
52b2e3d5539d95df63ef6f90c974895bc3a3dbe1e89b3a9513a8504eab308d4827f116ebc13fd89ac9c01f7394067eeddf7fd6f640fd071ee8558a6a79f2b56c
 SHA512 
61d1d6f9c1fc4fbf6253ac7a7d214c771563d7d60238197b2f1525a58f8f9011446f400767d39ec464c69d80574a7dcd78557c8f47605df992af28cb107c0f6e
+DIST snes9x-1.56.tar.gz 2876904 BLAKE2B 
b58dd5c31627cbb374183adb5fe0328739bbebda8c6907ab7f9153085c45d612e51c91ad3223cc10694c9c36a00f69c303c5865d3b022f2769353884056a91b2
 SHA512 
b8c9438a451ed9a52a66dc04e2bea841aaa9403a2fd266e7042555f93a159ced76061233220eb6fac0f106cea08835c13ef008b2432f6d658689e0fa8ee563e6

diff --git a/games-emulation/snes9x/files/snes9x-1.56-build-system.patch 
b/games-emulation/snes9x/files/snes9x-1.56-build-system.patch
new file mode 100644
index 00000000000..d2ee182cb7c
--- /dev/null
+++ b/games-emulation/snes9x/files/snes9x-1.56-build-system.patch
@@ -0,0 +1,53 @@
+--- snes9x-1.56/gtk/configure.ac
++++ snes9x-1.56/gtk/configure.ac
+@@ -33,8 +33,8 @@
+ 
+ AM_GLIB_GNU_GETTEXT
+ 
+-snes9xlocaledir='${prefix}/${DATADIRNAME}/locale'
+-snes9xdatadir='${prefix}/${DATADIRNAME}/snes9x'
++snes9xlocaledir='$(localedir)'
++snes9xdatadir='$(datadir)/snes9x'
+ 
+ AC_SUBST(snes9xlocaledir)
+ AC_SUBST(snes9xdatadir)
+--- snes9x-1.56/unix/configure.ac
++++ snes9x-1.56/unix/configure.ac
+@@ -56,37 +56,6 @@
+ # *** Execution begins here ***
+ # *****************************
+ 
+-# Test what compiler flags we should use.
+-
+-AC_ARG_ENABLE([debug],
+-      [AS_HELP_STRING([--enable-debug],
+-              [leave debug information in the final binary (default: no)])],
+-      [], [enable_debug="no"])
+-
+-if test "x$enable_debug" = "xyes"; then
+-      AC_S9X_COMPILER_FLAG([-g],  [g])
+-      AC_S9X_COMPILER_FLAG([-O0], [o0])
+-else
+-      AC_S9X_COMPILER_FLAG([-O3], [o3], [
+-              AC_S9X_COMPILER_FLAG([-O2], [o2], [
+-                      AC_S9X_COMPILER_FLAG([-O1], [o1])])])
+-      AC_S9X_COMPILER_FLAG([-fomit-frame-pointer], [omit_frame_pointer])
+-fi
+-
+-AC_ARG_ENABLE([mtune],
+-      [AS_HELP_STRING([--enable-mtune],
+-              [use the specified value for the -mtune/-mcpu flag (default: 
no)])],
+-      [], [enable_mtune="no"])
+-
+-if test "x$enable_mtune" != "xno"; then
+-      AC_S9X_COMPILER_FLAG([-mtune="$enable_mtune"], [mtune],
+-      [
+-              AC_MSG_WARN([-mtune failed, trying -mcpu...])
+-              AC_S9X_COMPILER_FLAG([-mcpu="$enable_mtune"], [mcpu],
+-                      [AC_MSG_ERROR([Please specify a working value for 
--enable-mtune.])])
+-      ])
+-fi
+-
+ AC_S9X_COMPILER_FLAG([-fno-exceptions],       [no_exceptions])
+ AC_S9X_COMPILER_FLAG([-fno-rtti],             [no_rtti])
+ AC_S9X_COMPILER_FLAG([-pedantic],             [pedantic])

diff --git a/games-emulation/snes9x/snes9x-1.56.ebuild 
b/games-emulation/snes9x/snes9x-1.56.ebuild
new file mode 100644
index 00000000000..652a1c85921
--- /dev/null
+++ b/games-emulation/snes9x/snes9x-1.56.ebuild
@@ -0,0 +1,137 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit autotools flag-o-matic gnome2-utils xdg-utils
+
+DESCRIPTION="Super Nintendo Entertainment System (SNES) emulator"
+HOMEPAGE="https://github.com/snes9xgit/snes9x";
+SRC_URI="https://github.com/snes9xgit/${PN}/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="Snes9x GPL-2 GPL-2+ LGPL-2.1 LGPL-2.1+ ISC MIT ZLIB Info-ZIP"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~x86-fbsd"
+IUSE="alsa debug gtk joystick multilib netplay nls opengl oss png pulseaudio 
portaudio xinerama +xv"
+RESTRICT="bindist"
+
+RDEPEND="
+       sys-libs/zlib:=[minizip]
+       x11-libs/libX11
+       x11-libs/libXext
+       png? ( media-libs/libpng:0= )
+       gtk? (
+               dev-libs/glib:2
+               dev-libs/libxml2
+               >=x11-libs/gtk+-3.0:3
+               x11-libs/libXrandr
+               x11-misc/xdg-utils
+               alsa? ( media-libs/alsa-lib )
+               joystick? ( media-libs/libsdl2[joystick] )
+               opengl? (
+                       media-libs/libepoxy
+                       virtual/opengl
+               )
+               portaudio? ( >=media-libs/portaudio-19_pre )
+               pulseaudio? ( media-sound/pulseaudio )
+               xv? ( x11-libs/libXv )
+       )
+       xinerama? ( x11-libs/libXinerama )"
+DEPEND="${RDEPEND}
+       virtual/pkgconfig
+       x11-base/xorg-proto
+       nls? ( dev-util/intltool )"
+
+S="${WORKDIR}/${P}/unix"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.53-cross-compile.patch
+       "${FILESDIR}"/${PN}-1.56-build-system.patch
+)
+
+src_prepare() {
+       cd "${WORKDIR}"/${P} || die
+       rm -r unzip || die
+       default
+       cd unix || die
+       eautoreconf
+       if use gtk; then
+               cd ../gtk || die
+               eautoreconf
+       fi
+}
+
+src_configure() {
+       append-ldflags -Wl,-z,noexecstack
+
+       # build breaks when zlib/zip support is disabled
+       local myeconfargs=(
+               --enable-gzip
+               --enable-zip
+               --with-system-zip
+               $(use_enable joystick gamepad)
+               $(use_enable debug debugger)
+               $(use_enable netplay)
+               $(use_enable png screenshot)
+               $(use_enable xinerama)
+       )
+       econf "${myeconfargs[@]}"
+
+       if use gtk; then
+               cd ../gtk || die
+               myeconfargs=(
+                       --with-gtk3
+                       --with-zlib
+                       --with-system-zip
+                       --without-gtk2
+                       $(use_enable nls)
+                       $(use_with opengl)
+                       $(use_with joystick)
+                       $(use_with xv)
+                       $(use_with netplay)
+                       $(use_with alsa)
+                       $(use_with oss)
+                       $(use_with pulseaudio)
+                       $(use_with portaudio)
+                       $(use_with png screenshot)
+               )
+               econf "${myeconfargs[@]}"
+       fi
+}
+
+src_compile() {
+       emake
+       use gtk && emake -C ../gtk
+}
+
+src_install() {
+       dobin ${PN}
+
+       dodoc 
../docs/{snes9x.conf.default,{changes,control-inputs,controls,snapshots}.txt}
+
+       if use gtk; then
+               emake -C ../gtk DESTDIR="${D}" install
+               dodoc ../gtk/{AUTHORS,doc/README}
+       fi
+
+       docinto html
+       dodoc {.,..}/docs/*.html
+}
+
+pkg_preinst() {
+       use gtk && gnome2_icon_savelist
+}
+
+pkg_postinst() {
+       if use gtk ; then
+               gnome2_icon_cache_update
+               xdg_desktop_database_update
+       fi
+}
+
+pkg_postrm() {
+       if use gtk ; then
+               gnome2_icon_cache_update
+               xdg_desktop_database_update
+       fi
+}

Reply via email to